<?php
/**
 * @package typefocus8
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="entry-header">
		
		<!-- if post is a quote, then display title wrapped in pullquotes -->
		<?php if ( 'quote' == get_post_format() ) : ?>
			<i class="fa fa-quote-left pull-left fa-border"></i>
			<a class="quote-post"><?php the_title();?></a>
		
		<!-- if post is not a quote, display title without pullquotes -->
		<?php else: ?>
			<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>	
			<?php if ( 'post' == get_post_type() ) : ?>
			<div class="entry-meta home_<?php echo is_home();?> search_<?php echo is_search();?> category_<?php echo is_category();?>">
				<?php typefocus8_posted_on(); ?>
			</div><!-- .entry-meta -->
			<?php endif; ?>
		<?php endif ?>
		
		
	</header><!-- .entry-header -->

	
	<?php if ( is_search() || is_home() || is_category() ) : // Only display Excerpts for Search, home, and category-list ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	
	
	<!-- if homepage, category-list then also display read-more -->
	<?php if( ( is_home() || is_category() ) && 'quote' != get_post_format()  ): ?>
	<a class="continue-reading" href="<?php echo get_permalink(); ?>"> Continue reading &rarr;</a>
	<?php endif; ?>	
	
	<?php else :   // Otherwise, display full content ?>
	<div class="entry-content">
		<?php
			/* translators: %s: Name of current post */
			the_content( sprintf(
				__( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'typefocus8' ), 
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
		?>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'typefocus8' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	<?php endif; ?>


	<footer class="entry-footer home_<?php echo is_home();?>">
		<?php typefocus8_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
